Mettre à jour Proxmox 2.3 vers la 3.0

proxmox

Mettre à jour proxmox 2.3 vers 3.0

Depuis quelques temps une nouvelle version de proxmox est sorti .  Si vous avez une version 2.3 il faudrait penser à la mettre à jour .

Comme souvent il existe des procédures d’update pour ce type de produit . La mise à jour est relativement simple .

On ne va jamais le répéter assez pensez à faire une sauvegarde … Il vous faudra également éteindre vos VM ou containers.

Récupérer le script d’update

wget http://download.proxmox.com/debian/dists/wheezy/pve-upgrade-2.3-to-3.0
chmod +x pve-upgrade-2.3-to-3.0
./pve-upgrade-2.3-to-3.0

Par la suite il vous suffit d’effectuer un simple reboot . Si après le reboot vos VMs/Containers ne démarrent pas et que vos yeux commencent à se remplir d’eau .

La documentation dit :

If you installed your Proxmox on top of a Debian (and not from the original ISO installer), you will see a Debian 3.2 Kernel being active after upgrade and not a Proxmox 2.6.32-xx-pve. This is simply because Debian Wheezy ships a 3.2 Kernel and due to it's higher version, it gets activated as default kernel.

If OpenVZ doesn't work anymore and you installed PVE on top of Debian, you should find out which Kernel is running:

Vérifier la version de votre kernel

uname -a

Dans le cas ou vous seriez en version 3.2 qui est le kernel par défaut pour une debian wheezy alors lancez un simple

apt-get purge linux-base

NE PANIQUEZ PAS

« You will get a warning that you’re going to remove the running kernel, and that linux-image-* packages will also be removed. You should also reboot as soon as possible to activate the pve Kernel. »

Il vous suffit de relancer et votre et de sécher vos larmes .

Vérifier tout de mêmes

pveversion -v
pve-manager: 3.0-23 (pve-manager/3.0/957f0862)
running kernel: 2.6.32-20-pve

Je ne vous dirais pas de vérifier que l’ensemble de vos VMs/Containers sont bien fonctionnels.

SOURCE :

Documentation officiel pour la mise à jour de proxmox .

Related posts

Leave a Comment